Redmine - Feature #2028

Show to user a path of wiki localization
2008-10-14 00:40 - Leandro Nunes dos Santos Nunes

Status: Closed Start date: 2008-10-14
Priority: Normal Due date:

Assignee: % Done: 50%
Category: Estimated time: 0.00 hour
Target version: 0.9.0

Resolution: Fixed

Description

Some wikis have a feature where it shows to user a path containing the tree of the wiki project. It's very usefull because the user
don't stay lost on wiki and It knows the relationship between the current topic and all the rest of the wiki.

On TWiki software (http:/twiki.org) there is a variable called parent topic that works like this.

I will help redmine developers adding this functionality. | thougth to use parent_id attribute on WikiPage object to make the
relationship between topics and manipulate this variable to display the current path on wiki.

What you think about that?

History

#1 - 2008-10-14 21:39 - Leandro Nunes dos Santos Nunes
- File patch_for_feature_2028.diff added

| made a patch to this functionality

#2 - 2008-10-15 00:18 - Leandro Nunes dos Santos Nunes
- File patch_for_feature 2028 _v2.diff added
- % Done changed from 0 to 50

| improved the last patch.

#3 - 2008-11-11 17:39 - Jean-Philippe Lang

The path to the current wiki page is already displayed (eg. this page: RedmineAccounts belongs to Guide) based on parent pages hierarchy.
Could you describe in more details what functionality this patch adds ?

#4 - 2009-11-14 13:05 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Fixed

Files
patch_for_feature_2028.diff 3.12 KB 2008-10-14 Leandro Nunes dos Santos Nunes
patch_for_feature_2028_v2.diff 7.71 KB 2008-10-14 Leandro Nunes dos Santos Nunes
